{{define "title"}}
Register new CI repository
{{end}}

{{define "content"}}
<form id="register_form" class="was-validated" method="POST">
    <div class="form-group py-2">
        <label for="url">Repository URL:</label>
        <input type="text" class="form-control" id="url" name="url" placeholder="https://github.com/eth-cscs/DLA-Future">
    </div>
    <div class="form-group py-2">
        <label for="name">Repository Name:</label>
        <input type="text" class="form-control" id="name" name="name" placeholder="DLA-Future">
    </div>
    <div class="form-group py-2">
        <label for="owner">Owner:</label>
        <input type="text" class="form-control" id="owner" name="owner" value="{{.LoggedInUser}}">
    </div>
    <div class="form-check py-2">
        <label for="private">Repository private
            <input type="checkbox" class="form-check-input" value="true" id="private" name="private">
        </label>
    </div>
    <button type="submit" id="register_button" class="btn btn-primary">Register repository</button>
</form>
<a href="/{{.UrlPrefix}}/logout" style="position: absolute; right: 10px; top: 10px">Logout</a>
{{end}} {{/* define "content" */}}

{{- template "base" . -}}
